package com.nokia.finance.tasks.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

@Configuration
@ConfigurationProperties("job.config")
@Data
public class JobConfig {
    /**
     * copy脚本路径
     */
    private String copyScriptPath;
    /**
     * 导入的数据库ip
     */
    private String dbHost;
    /**
     * 数据库端口
     */
    private String dbPort;
    /**
     * 数据库账号
     */
    private String dbUsername;
    /**
     * 数据库密码
     */
    private String dbPassword;
    /**
     * 数据库名称
     */
    private String dbName;
    /**
     * 睿行车辆基本信息日数据路径
     */
    private String cljbxxSourcePath;
    /**
     * 睿行车辆基本信息日数据归档路径
     */
    private String cljbxxHistoryPath;
    /**
     * 睿行车辆越界报警日数据路径
     */
    private String yjbjrtjSourcePath;
    /**
     * 睿行车辆越界报警日数据归档路径
     */
    private String yjbjrtjHistoryPath;
}
